'use client';
import { useEffect } from 'react';
import { useRouter } from 'next/navigation';
import { account } from './lib/appwrite';

export default function Home() {
  const router = useRouter();

  useEffect(() => {
    const checkSession = async () => {
      try {
        const session = await account.getSession('current');
        if (session) {
          router.replace('/pages/dashboard');
        } else {
          router.replace('/login');
        }
      } catch (error) {
        console.error('Session check error:', error);
        router.replace('/login');
      }
    };
    checkSession();
  }, [router]);

  return (
    <div className="flex items-center justify-center min-h-screen">
      <div className="text-center">
        <p>Checking authentication status...</p>
      </div>
    </div>
  );
}